Next Previous Contents

## 3.154 strncat

> Function

>   Concatentate two strings.

> Header

>   `string.h`

> Declaration

>   `char* __fastcall__ strncat (char* s1, const char* s2, size_t n);`

> Description

>   The `strncat` function appends not more than n characters of the string pointed to by s2 to the end of the string pointed to by s1. The terminating null character at the end of s1 is overwritten. A terminating null character is appended to the result, even if not all of s2 is appended to s1.

> Limits

>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
>   - If copying takes place between objects that overlap, the behaviour is undefined.
> Availability

>   ISO 9899

> See also

>   strcpy, strncat, strncpy

> Example

>   None.

Next Previous Contents